import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environments } from '../../../../environments/environments';
import { catchError, map, throwError } from 'rxjs';
import { tap } from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class recibirRespuestas {
  private URL: string = environments.baseUrl;
  private getHeaders(): HttpHeaders {
    const token = localStorage.getItem('token') || '';
    return new HttpHeaders({
      'Content-Type': 'application/json',
      'Authorization': `Bearer ${token}`
    });
  }
  constructor(private http: HttpClient) { }


    recibirRespuesta(data: any) {
      return this.http.post(`${this.URL}/recibirRespuesta`, data,  { headers: this.getHeaders() });
    }
     tieneRespuesta(formId: number, usuarioId: number) {
    return this.http.get(`${this.URL}/respuestas/check?form_id=${formId}&usuario_id=${usuarioId}`,{ headers: this.getHeaders() });
  }

descargarPDF(usuarioId: string, formId: string) {
  const url = `${this.URL}/generar-pdf/${usuarioId}/${formId}`;
  console.log('📤 URL solicitada:', url);

  return this.http.get(url, {
    headers: this.getHeaders(),
    responseType: 'blob'
  });
}


 obtenerRespuesta(formId: number, usuarioId: string) {
  return this.http.get(`${this.URL}/respuestas/formulario?form_id=${formId}&usuario_id=${usuarioId}`, {
    headers: this.getHeaders()
  });
}
actualizarRespuesta(data: any) {
  return this.http.put(`${this.URL}/actualizarRespuesta`, data, { headers: this.getHeaders() });
}


  }



